OSS Insight Docs
APIStargazers

GETStargazers history

Stargazers

Querying the historical trend of the number of stargazers in a given repository.

Parameters

Prop

Type

Usage

cURL
curl --request GET \  --url 'https://api.ossinsight.io/v1/repos/pingcap/tidb/stargazers/history/?per=month&from=2000-01-01&to=2099-01-01' \  --header 'Accept: application/json'
Python
import requestsresponse = requests.get(    "https://api.ossinsight.io/v1/repos/pingcap/tidb/stargazers/history/?per=month&from=2000-01-01&to=2099-01-01",    headers={"Accept": "application/json"},    timeout=30,)response.raise_for_status()data = response.json()print(data)
TypeScript
const response = await fetch("https://api.ossinsight.io/v1/repos/pingcap/tidb/stargazers/history/?per=month&from=2000-01-01&to=2099-01-01", {  method: "GET",  headers: {    Accept: "application/json",  },});if (!response.ok) {  throw new Error(`Request failed: ${response.status}`);}const data = await response.json();console.log(data);